pref("javascript.options.strict", true);
pref("javascript.options.xml.chrome", true);

pref("extensions.tabutils.mouseHoverPreview", true);
pref("extensions.tabutils.mouseHoverPreviewDelay", 250);
pref("extensions.tabutils.mouseHoverSelect", false);
pref("extensions.tabutils.mouseHoverSelectDelay", 0);
pref("extensions.tabutils.mouseHoverLoad", true);

//pref("extensions.tabutils.singleWindowMode", true);
pref("network.dns.ignoreHostonly", true);

//pref("extensions.tabutils.centerCurrentTab", true);
//pref("extensions.tabutils.bookmarkWithHistory", true);
//pref("extensions.tabutils.openInternalInCurrent", true);
pref("extensions.tabutils.handleCtrlArrow", true);
//pref("extensions.tabutils.restartAfter", 120);
pref("extensions.tabutils.openTabNext", 1);
pref("extensions.tabutils.selectOnClose", 82);
pref("extensions.tabutils.autoStack", true);
pref("extensions.tabutils.dragToStack", true);
//pref("extensions.tabutils.colorStack", false);
pref("extensions.tabutils.autoExpandStackAndCollapseOthersOnSelect", false);
//pref("extensions.tabutils.autoCollapseStackOnBlur", true);
//pref("extensions.tabutils.pinTab.showPhantom", false);
//pref("extensions.tabutils.showAllTabs", true);

pref("extensions.tabutils.menu.context_mergeWindow", true);
pref("extensions.tabutils.menu.context_mergeGroup", true);
pref("extensions.tabutils.menu.context_bookmarkAllTabs.parent", "alltabs-popup");
pref("extensions.tabutils.menu.context_bookmarkAllTabs.insertbefore", "context_readAllTabs");
pref("extensions.tabutils.menu.context_bookmarkAllTabs.separatorafter", "");
pref("extensions.tabutils.menu.context_reloadAllTabs.parent", "alltabs-popup");
pref("extensions.tabutils.menu.context_reloadAllTabs.insertbefore", "context_bookmarkAllTabs");
//pref("extensions.tabutils.menu.context_splitGroup.separatorbefore", "");
//pref("extensions.tabutils.menu.context_splitGroup.separatorafter", "");
//pref("extensions.tabutils.menu.context_closeGroup.parent", "tabContextMenu");
//pref("extensions.tabutils.menu.context_closeGroup.insertafter", "context_closeTab");

pref("extensions.tabutils.shortcut.key_cutPageLocation", true);
pref("extensions.tabutils.shortcut.key_recentlyClosedTabs2", true);
pref("extensions.tabutils.shortcut.key_recentlyClosedTabs2.keycode", "VK_F9");
pref("extensions.tabutils.shortcut.key_recentlyClosedTabs2.command", "cmd_recentlyClosedTabs");

//pref("extensions.tabutils.menu.bookmarksPopup.place", "place:folder=BOOKMARKS_MENU");
//pref("extensions.tabutils.button.statusbar-openintab.parent", "TabsToolbar");
//pref("extensions.tabutils.button.statusbar-openintab.insertbefore", "");

pref("extensions.tabutils.css.example", "");
pref("extensions.tabutils.js.example", "");
pref("extensions.tabutils.mouse.100.label", "Move Tab to Start");
pref("extensions.tabutils.mouse.100.oncommand", "gBrowser._blurTab(gBrowser.mContextTab);gBrowser.moveTabTo(gBrowser.mContextTab, 0);");

pref("extensions.tabutils.menu.charsetMenu.parent", "contentAreaContextMenu");
pref("extensions.tabutils.menu.charsetMenu.insertbefore", "frame-sep");
//pref("extensions.tabutils.button.alltabs-button.onmouseover", "this.open = true;");

//pref("extensions.tabutils.menu.context_closeAllTabs.parent", "tabContextMenu");
//pref("extensions.tabutils.menu.context_closeAllTabs.insertbefore", "context_closeOtherTabs");

//pref("extensions.tabutils.menu.context-openlinkintab", false);
//
//pref("extensions.tabutils.menu.context-openlinkinbackgroundtab", true);
//pref("extensions.tabutils.menu.context-openlinkinbackgroundtab.label", "Open Link in Background Tab");
//pref("extensions.tabutils.menu.context-openlinkinbackgroundtab.accesskey", "B");
//pref("extensions.tabutils.menu.context-openlinkinbackgroundtab.parent", "contentAreaContextMenu");
//pref("extensions.tabutils.menu.context-openlinkinbackgroundtab.insertafter", "context-openlinkintab");
//pref("extensions.tabutils.menu.context-openlinkinbackgroundtab.oncommand", "var loadInBackground = TU_getPref('browser.tabs.loadInBackground');TU_setPref('browser.tabs.loadInBackground', true);gContextMenu.openLinkInTab();TU_setPref('browser.tabs.loadInBackground', loadInBackground);");
//
//pref("extensions.tabutils.menu.context-openlinkinforegroundtab", true);
//pref("extensions.tabutils.menu.context-openlinkinforegroundtab.label", "Open Link in Foreground Tab");
//pref("extensions.tabutils.menu.context-openlinkinforegroundtab.accesskey", "F");
//pref("extensions.tabutils.menu.context-openlinkinforegroundtab.parent", "contentAreaContextMenu");
//pref("extensions.tabutils.menu.context-openlinkinforegroundtab.insertafter", "context-openlinkintab");
//pref("extensions.tabutils.menu.context-openlinkinforegroundtab.oncommand", "var loadInBackground = TU_getPref('browser.tabs.loadInBackground');TU_setPref('browser.tabs.loadInBackground', false);gContextMenu.openLinkInTab();TU_setPref('browser.tabs.loadInBackground', loadInBackground);");

pref("extensions.tabutils.menu.context-pasteandgo", true);
pref("extensions.tabutils.menu.context-pasteandgo.label", "Paste & Go");
pref("extensions.tabutils.menu.context-pasteandgo.accesskey", "G");
pref("extensions.tabutils.menu.context-pasteandgo.parent", "contentAreaContextMenu");
pref("extensions.tabutils.menu.context-pasteandgo.insertafter", "context-paste");
pref("extensions.tabutils.menu.context-pasteandgo.oncommand", "goDoCommand('cmd_selectAll');goDoCommand('cmd_paste');window.QueryInterface(Ci.nsIInterfaceRequestor).getInterface(Ci.nsIDOMWindowUtils).sendKeyEvent('keypress', KeyEvent.DOM_VK_RETURN, 0, 0);");
pref("extensions.tabutils.css.context-pasteandgo", "#context-paste:-moz-any([hidden='true'], [disabled='true']) ~ #context-pasteandgo {display: none;}");

//pref("extensions.tabutils.menu.context_duplicateTabToWindow", true);
//pref("extensions.tabutils.menu.context_duplicateTabToWindow.label", "Duplicate Tab to Window");
//pref("extensions.tabutils.menu.context_duplicateTabToWindow.accesskey", "D");
//pref("extensions.tabutils.menu.context_duplicateTabToWindow.insertafter", "context_duplicateTab");
//pref("extensions.tabutils.menu.context_duplicateTabToWindow.oncommand", "gBrowser.replaceTabWithWindow(gBrowser.duplicateTab(gBrowser.mContextTab));");

//pref("extensions.tabutils.menu.context_bookmarkTab", true);
//pref("extensions.tabutils.menu.context_bookmarkTab.label", "Bookmark This Tab");
//pref("extensions.tabutils.menu.context_bookmarkTab.accesskey", "B");
//pref("extensions.tabutils.menu.context_bookmarkTab.insertafter", "context_bookmarkAllTabs");
//pref("extensions.tabutils.menu.context_bookmarkTab.multiselected", "any");
//pref("extensions.tabutils.menu.context_bookmarkTab.oncommand", "gBrowser.bookmarkTab(gBrowser.mContextTabs);");

//pref("extensions.tabutils.menu.context_restartTab.label", "Unload Tab");
//pref("extensions.tabutils.menu.context_restartTab.accesskey", "U");
//pref("extensions.tabutils.menu.context_restartTab.oncommand", "gBrowser._blurTab(gBrowser.mContextTab);gBrowser.restartTab(gBrowser.mContextTab);");

//pref("extensions.tabutils.menu.context_reloadRightTabs", true);
//pref("extensions.tabutils.menu.context_reloadRightTabs.label", "Reload Right Tabs");
//pref("extensions.tabutils.menu.context_reloadRightTabs.accesskey", "R");
//pref("extensions.tabutils.menu.context_reloadRightTabs.insertbefore", "context_reloadAllTabs");
//pref("extensions.tabutils.menu.context_reloadRightTabs.oncommand", "gBrowser.rightTabsOf(gBrowser.mContextTab).forEach(gBrowser.reloadTab, gBrowser);");

//pref("extensions.tabutils.menu.context_copyTabTitleAndURL", true);
//pref("extensions.tabutils.menu.context_copyTabTitleAndURL.label", "Copy Tab Title and URL");
//pref("extensions.tabutils.menu.context_copyTabTitleAndURL.accesskey", "C");
//pref("extensions.tabutils.menu.context_copyTabTitleAndURL.multiselected", "any");
//pref("extensions.tabutils.menu.context_copyTabTitleAndURL.oncommand", "Cc['@mozilla.org/widget/clipboardhelper;1'].getService(Ci.nsIClipboardHelper).copyString([tab.label + ' - ' + tab.linkedBrowser.currentURI.spec for (tab of gBrowser.mContextTabs)].join('\\n'));");

//pref("extensions.tabutils.shortcut.key_mostRecentTab", true);
//pref("extensions.tabutils.shortcut.key_mostRecentTab.keycode", "VK_LEFT");
//pref("extensions.tabutils.shortcut.key_mostRecentTab.modifiers", "accel");
//pref("extensions.tabutils.shortcut.key_mostRecentTab.oncommand", "gBrowser._previewMode = true; gBrowser.selectedTab = gBrowser.getLastSelectedTab();");
//
//pref("extensions.tabutils.shortcut.key_leastRecentTab", true);
//pref("extensions.tabutils.shortcut.key_leastRecentTab.keycode", "VK_RIGHT");
//pref("extensions.tabutils.shortcut.key_leastRecentTab.modifiers", "accel");
//pref("extensions.tabutils.shortcut.key_leastRecentTab.oncommand", "gBrowser._previewMode = true; gBrowser.selectedTab = gBrowser.getLastSelectedTab(-1);");

//pref("extensions.tabutils.shortcut.key_prevTab", true);
//pref("extensions.tabutils.shortcut.key_prevTab.keycode", "VK_F2");
//pref("extensions.tabutils.shortcut.key_prevTab.modifiers", "");
//pref("extensions.tabutils.shortcut.key_prevTab.command", "Browser:PrevTab");
//
//pref("extensions.tabutils.shortcut.key_nextTab", true);
//pref("extensions.tabutils.shortcut.key_nextTab.keycode", "VK_F3");
//pref("extensions.tabutils.shortcut.key_nextTab.modifiers", "");
//pref("extensions.tabutils.shortcut.key_nextTab.insertbefore", "key_findAgain");
//pref("extensions.tabutils.shortcut.key_nextTab.command", "Browser:NextTab");
//
//pref("extensions.tabutils.shortcut.key_closeTab", true);
//pref("extensions.tabutils.shortcut.key_closeTab.keycode", "VK_F4");
//pref("extensions.tabutils.shortcut.key_closeTab.modifiers", "");
//pref("extensions.tabutils.shortcut.key_closeTab.command", "cmd_close");

//pref("extensions.tabutils.menu.context_newGroup", true);
//pref("extensions.tabutils.menu.context_newGroup.label", "New Group");
//pref("extensions.tabutils.menu.context_newGroup.accesskey", "G");
//pref("extensions.tabutils.menu.context_newGroup.insertbefore", "context_tabViewMenu");
//pref("extensions.tabutils.menu.context_newGroup.command", "cmd_newGroup");

pref("extensions.tabutils.shortcut.key_newGroup", true);
pref("extensions.tabutils.shortcut.key_newGroup.key", "G");
pref("extensions.tabutils.shortcut.key_newGroup.modifiers", "accel");
pref("extensions.tabutils.shortcut.key_newGroup.parent", "mainKeyset");
pref("extensions.tabutils.shortcut.key_newGroup.insertbefore", "key_findAgain");
pref("extensions.tabutils.shortcut.key_newGroup.command", "cmd_newGroup");

//pref("extensions.tabutils.shortcut.key_quitApplication", true);
//pref("extensions.tabutils.shortcut.key_quitApplication.key", "Q");
//pref("extensions.tabutils.shortcut.key_quitApplication.modifiers", "accel");
//pref("extensions.tabutils.shortcut.key_quitApplication.command", "cmd_quitApplication");
//pref("extensions.tabutils.menu.menu_FileQuitItem.key", "key_quitApplication");

//pref("extensions.tabutils.button.button_newGroup", true);
//pref("extensions.tabutils.button.button_newGroup.label", "New Group");
//pref("extensions.tabutils.button.button_newGroup.image", "chrome://global/skin/tree/twisty-clsd.png");
//pref("extensions.tabutils.button.button_newGroup.parent", "TabsToolbar");
//pref("extensions.tabutils.button.button_newGroup.insertafter", "new-tab-button");
//pref("extensions.tabutils.button.button_newGroup.command", "cmd_newGroup");
//pref("extensions.tabutils.button.button_newGroup.tooltiptext", "New Group");

//pref("extensions.tabutils.button.new-window-button.label", "New Group");
//pref("extensions.tabutils.button.new-window-button.tooltiptext", "Open a new group");
//pref("extensions.tabutils.button.new-window-button.command", "cmd_newGroup");

//pref("extensions.tabutils.button.button_GoogleSSL", true);
//pref("extensions.tabutils.button.button_GoogleSSL.label", "Google SSL Search");
//pref("extensions.tabutils.button.button_GoogleSSL.image", "moz-anno:favicon:https://www.ggssl.com/favicon.ico");
//pref("extensions.tabutils.button.button_GoogleSSL.insertafter", "search-container");
//pref("extensions.tabutils.button.button_GoogleSSL.oncommand", "openUILinkIn('https://www.ggssl.com/search?q=' + encodeURIComponent(document.getElementById('searchbar').value), 'tab');");
//pref("extensions.tabutils.button.button_GoogleSSL.tooltiptext", "Search with Google SSL");

pref("extensions.tabutils.button.button_Notepad", true);
pref("extensions.tabutils.button.button_Notepad.label", "Notepad");
pref("extensions.tabutils.button.button_Notepad.path", "C:\\WINDOWS\\system32\\notepad.exe");
pref("extensions.tabutils.button.button_Notepad.image", "moz-icon:file://C:/WINDOWS/system32/notepad.exe?size=16");
pref("extensions.tabutils.button.button_Notepad.parent", "toolbar-menubar");
pref("extensions.tabutils.button.button_Notepad.oncommand", "var file = Cc['@mozilla.org/file/local;1'].createInstance(Ci.nsILocalFile);file.initWithPath(this.getAttribute('path'));if (file.exists()) file.launch();");
pref("extensions.tabutils.button.button_Notepad.tooltiptext", "Notepad");

pref("extensions.tabutils.button.button_TotalCommander", true);
pref("extensions.tabutils.button.button_TotalCommander.label", "Total Commander");
pref("extensions.tabutils.button.button_TotalCommander.path", "I:\\Programs\\Total Commander\\TOTALCMD.EXE");
pref("extensions.tabutils.button.button_TotalCommander.image", "moz-icon:file://I:/Programs/Total Commander/TOTALCMD.EXE?size=16");
pref("extensions.tabutils.button.button_TotalCommander.parent", "toolbar-menubar");
pref("extensions.tabutils.button.button_TotalCommander.oncommand", "var file = Cc['@mozilla.org/file/local;1'].createInstance(Ci.nsILocalFile);file.initWithPath(this.getAttribute('path'));if (file.exists()) file.launch();");
pref("extensions.tabutils.button.button_TotalCommander.tooltiptext", "Total Commander");

pref("extensions.tabutils.button.button_UltraEdit", true);
pref("extensions.tabutils.button.button_UltraEdit.label", "UltraEdit");
pref("extensions.tabutils.button.button_UltraEdit.path", "C:\\Program Files (x86)\\IDM Computer Solutions\\UltraEdit-32\\uedit32.exe");
pref("extensions.tabutils.button.button_UltraEdit.image", "moz-icon:file://C:/Program Files (x86)/IDM Computer Solutions/UltraEdit-32/uedit32.exe?size=16");
pref("extensions.tabutils.button.button_UltraEdit.parent", "toolbar-menubar");
pref("extensions.tabutils.button.button_UltraEdit.oncommand", "var file = Cc['@mozilla.org/file/local;1'].createInstance(Ci.nsILocalFile);file.initWithPath(this.getAttribute('path'));if (file.exists()) file.launch();");
pref("extensions.tabutils.button.button_UltraEdit.tooltiptext", "UltraEdit");

pref("extensions.tabutils.button.button_UltraCompare", true);
pref("extensions.tabutils.button.button_UltraCompare.label", "UltraCompare");
pref("extensions.tabutils.button.button_UltraCompare.path", "C:\\Program Files (x86)\\IDM Computer Solutions\\UltraEdit-32\\ucl.exe");
pref("extensions.tabutils.button.button_UltraCompare.image", "moz-icon:file://C:/Program Files (x86)/IDM Computer Solutions/UltraEdit-32/ucl.exe?size=16");
pref("extensions.tabutils.button.button_UltraCompare.parent", "toolbar-menubar");
pref("extensions.tabutils.button.button_UltraCompare.oncommand", "var file = Cc['@mozilla.org/file/local;1'].createInstance(Ci.nsILocalFile);file.initWithPath(this.getAttribute('path'));if (file.exists()) file.launch();");
pref("extensions.tabutils.button.button_UltraCompare.tooltiptext", "UltraCompare");

pref("extensions.tabutils.button.button_UltraSurf", true);
pref("extensions.tabutils.button.button_UltraSurf.label", "Freegate");
pref("extensions.tabutils.button.button_UltraSurf.path", "D:\\Tools\\fg736p.exe");
pref("extensions.tabutils.button.button_UltraSurf.image", "moz-icon:file://D:/Tools/fg731p.exe?size=16");
pref("extensions.tabutils.button.button_UltraSurf.parent", "toolbar-menubar");
pref("extensions.tabutils.button.button_UltraSurf.oncommand", "var file = Cc['@mozilla.org/file/local;1'].createInstance(Ci.nsILocalFile);file.initWithPath(this.getAttribute('path'));if (file.exists()) file.launch();");
pref("extensions.tabutils.button.button_UltraSurf.tooltiptext", "Freegate");
